Skip to main content
GET
/
social
/
conversations
/
{conversation_id}
/
messages
List messages in a conversation
curl --request GET \
  --url https://api.smartlyq.com/v1/social/conversations/{conversation_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "messages": [
      {
        "id": 1001,
        "conversation_id": 101,
        "direction": "in",
        "content": "Hi!",
        "media_url": null,
        "media_type": null,
        "remote_message_id": "m_1",
        "sender_name": "Alice",
        "status": "sent",
        "sent_at": "2026-03-01 15:30:00"
      }
    ],
    "meta_window": {
      "open": true,
      "expires_at": "2026-03-02 15:30:00"
    }
  },
  "pagination": {
    "page": 1,
    "per_page": 20,
    "total": 1
  },
  "meta": {
    "request_id": "req_abc123",
    "timestamp": "2026-03-01T16:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key from Developer dashboard (Bearer token).

Path Parameters

conversation_id
integer
required

Conversation id

Query Parameters

page
integer
per_page
integer

Response

Success

success
enum<boolean>
Available options:
true
data
object
pagination
object
meta
object